# the tar file from the git sources is created with a script that executes
# the following commands:

#GITHUB_USER=perl6-community-modules
#SOFTWARE=uri
#URL=https://github.com/${GITHUB_USER}/${SOFTWARE}.git
#
#echo "creating tar archive from git sources"
#echo
#
#rm -rf ${SOFTWARE} ${SOFTWARE}-0.*
#git clone ${URL}
#
#GIT_SRC_DIR=${SOFTWARE}-0.1.4
#
#rm -f $GIT_SRC_DIR
#ln -s $SOFTWARE $GIT_SRC_DIR
#tar --exclude="$GIT_SRC_DIR/.git" -czvhf ${GIT_SRC_DIR}.tar.gz ${GIT_SRC_DIR}/
#
#echo
#echo "done"


Name:		rakudo-URI
Version:	0.1.4
Release:	0.1.20170920gite5c8551%{?dist}
Summary:	Perl 6 realization of URI

License:	Artistic 2.0
URL:		https://github.com/perl6-community-modules/URI
Source0:	ftp://ftp.uni-siegen.de/pub/Perl6Mod.src/uri-%{version}.tar.gz

BuildRequires:	rakudo >= %rakudo_rpm_version
Requires:	rakudo >= %rakudo_rpm_version

ExcludeArch:	s390x ppc64


%description
Perl6 realization of URI - Uniform Resource Identifiers handler

A URI implementation using Perl 6 grammars to implement RFC 3986 BNF. Currently
only implements parsing. Includes URI::Escape to (un?)escape characters that
aren't otherwise allowed in a URI with % and a hex character numbering.


%prep
%setup -q -n uri-%{version}


%install
RAKUDO_RERESOLVE_DEPENDENCIES=0 %perl6_mod_inst --to=%{buildroot}%{perl6_vendor_dir} --for=vendor


%check
perl6 -Ilib t/*.t


%files
%doc README.md
%license LICENSE
%{perl6_vendor_dir}/*/*


%changelog
* Wed Sep 20 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> 0.1.4-0.1.20170920gite5c8551
- create initial spec file
